summaryrefslogtreecommitdiffstats
path: root/streams/radiotux
diff options
context:
space:
mode:
Diffstat (limited to 'streams/radiotux')
-rwxr-xr-xstreams/radiotux29
1 files changed, 29 insertions, 0 deletions
diff --git a/streams/radiotux b/streams/radiotux
new file mode 100755
index 00000000..9d671493
--- /dev/null
+++ b/streams/radiotux
@@ -0,0 +1,29 @@
+#! /bin/bash
+set -euf
+function stop()
+{
+ pkill mplayer || true
+}
+
+CMD="while true; do exec mplayer http://streams.xenim.de/radiotux.ogg; sleep 1;done"
+case "$1" in
+ start)
+ stop
+ if tmux list-sessions;
+ then
+ tmux new-window "$CMD" &
+ else
+ tmux new-session "$CMD" &
+ fi
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac